Bug 116759 - RFE: Support for Windows domain users authentication in system-config-printer
RFE: Support for Windows domain users authentication in system-config-printer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
: FutureFeature
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2004-02-24 17:52 EST by Forrest
Modified: 2008-05-29 06:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.0-1.fc10
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 06:55:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for the gui to allow an authentication box (9.32 KB, patch)
2004-02-24 17:52 EST, Forrest
no flags Details | Diff
Use the previous authentication to check for Windows printers. Once you choose a printer, try that same authentication instead of asking for authentication again. (6.78 KB, patch)
2004-02-24 17:54 EST, Forrest
no flags Details | Diff
GUI patch that creates an authentication box (9.32 KB, patch)
2004-03-02 18:07 EST, Forrest
no flags Details | Diff
New utils patch (6.49 KB, patch)
2004-03-02 18:08 EST, Forrest
no flags Details | Diff
Util patch minus the commented code (6.09 KB, patch)
2004-03-02 18:16 EST, Forrest
no flags Details | Diff

  None (edit)
Description Forrest 2004-02-24 17:52:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I would like to get support for allowing a domain/username/password
when setting up a SMB printer.  To browse for printers, I have to
provide my Windows authentication first.  Once that is provided, I can
see many printers.  If I cannot authenticate first, no printers are
found, and I have to manually input them.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.93-1

How reproducible:
Always

Steps to Reproduce:
1.  Select SMB printer
2.  No authentication is allowed


Actual Results:  No authentication is allowed

Expected Results:  I'd like to authenticate first and then be able to
browse the printers

Additional info:
Comment 1 Forrest 2004-02-24 17:52:51 EST
Created attachment 98021 [details]
Patch for the gui to allow an authentication box
Comment 2 Forrest 2004-02-24 17:54:06 EST
Created attachment 98022 [details]
Use the previous authentication to check for Windows printers.  Once you choose a printer, try that same authentication instead of asking for authentication again.
Comment 3 Tim Waugh 2004-03-02 07:43:20 EST
Could you take out the magic user names and IP addresses please? :-)

Also, please don't comment out replaced code, just remove code that
you don't want and it makes the patch easier to understand.

What are the consequences of this patch for users who use no
authentication?
Comment 4 Forrest 2004-03-02 18:07:31 EST
Created attachment 98224 [details]
GUI patch that creates an authentication box
Comment 5 Forrest 2004-03-02 18:08:10 EST
Created attachment 98225 [details]
New utils patch
Comment 6 Forrest 2004-03-02 18:10:45 EST
Ack...is there any way to delete the previous attachments?  I edited
them, I just didn't save them before I attached them.
Comment 7 Forrest 2004-03-02 18:16:20 EST
Created attachment 98226 [details]
Util patch minus the commented code
Comment 8 Forrest 2004-03-02 18:22:19 EST
Sorry about the commented code.  I kept it there for my own sanity.

For users who use no authentication, they can just click OK, and it
won't use any authentication.  Perhaps we could add a checkbox that
will allow authentication (or not).  We always authenticate here, so I
just put authentication in as the default.
Comment 9 Tim Waugh 2006-08-22 09:55:53 EDT
system-config-printer has been re-written for Fedora Core 6, and unfortunately
this feature did not get integrated in time before the re-write.

I would be very grateful if you could adapt your patch for the new 0.7.x version
of system-config-printer, available in Fedora Core 6 test 2 (and rawhide/Fedora
devel).

Thanks.
Comment 10 John Thacker 2006-10-30 09:46:05 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 11 Bug Zapper 2008-04-03 21:50:03 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Tim Waugh 2008-04-04 04:32:27 EDT
Work is progressing to get much better support for SMB printing in
system-config-printer.
Comment 13 Tim Waugh 2008-05-19 06:03:11 EDT
system-config-printer-0.9.91-1.fc10 has the beginnings of support for this;
however it doesn't yet work due to (I think) libsmbclient issues.
Comment 14 Tim Waugh 2008-05-29 06:55:14 EDT
All fixed now.

Note You need to log in before you can comment on or make changes to this bug.